<?php 

define('H', $_SERVER['DOCUMENT_ROOT'].'/');
include_once H.'sys/inc/start.php';
include_once H.'sys/inc/compress.php';
include_once H.'sys/inc/sess.php';
include_once H.'sys/inc/settings.php';
include_once H.'sys/inc/db_connect.php';
include_once H.'sys/inc/ipua.php';
include_once H.'sys/inc/fnc.php';
include_once H.'sys/inc/user.php';
only_reg();
require 'config.php';

if (isset($user) && isset($_GET['stavka']) && isset($_GET['sid'])) 
{
  $coins = (int) $_GET['stavka'];
  $bilet = get_num();
  
  if (!isset($config['stavka'][$coins])) {
    $err = 'Такой ставки не существует..';
  }
  
  if (!isset($config['stavka'][$coins])) {
    $err = 'Такой ставки не существует!!';
  } elseif ($user[$config['coins_table']] < $config['stavka'][$coins]) {
    $err = 'У тебя не хватает средств!!!';
  }
  
  if ($_GET['sid'] != $_SESSION['sid']) {
    $err = 'Попробуй еще раз!!';
  }
  
  if (mysql_result(mysql_query("SELECT COUNT(*) FROM `alco` WHERE `id_user` = '$user[id]' AND `status` != '2'"), 0) != 0) {
    $err = 'Ты еще эту игру не закончил!';
  }
  
  if (!isset($err)) {
    mysql_query("UPDATE `alco` SET `status` = '2' WHERE `id_user` = '$user[id]' AND `status` != '2'");
    mysql_query("UPDATE `user` SET `" . $config['coins_table'] . "` = `" . $config['coins_table'] . "` - '" . $config['stavka'][$coins] . "' WHERE `id` = '$user[id]' LIMIT 1");
    mysql_query("INSERT INTO `alco`(`time`, `id_user`, `numbers`, `key`, `md5`, `step`, `table`, `stavka`, `over`) VALUES ('$time', '$user[id]', '$bilet[numbers]', '" . $bilet['key'] . "', '" . $bilet['md5'] . "', '0', '" . $config['coins_table'] . "', '" . $config['stavka'][$coins] . "', 'game')");
    header ('Location: ?game');
    exit;
  }
}

$dump = array();

if (isset($user) && mysql_result(mysql_query("SELECT COUNT(*) FROM `alco` WHERE `id_user` = '$user[id]'"), 0) != 0) {
  $game = mysql_fetch_assoc(mysql_query("SELECT * FROM `alco` WHERE `id_user` = '$user[id]' ORDER BY `id` DESC LIMIT 1"));
  $numbers = explode('|', $game['numbers']);
  
  if ($game['dump'] != null) {
    $dump = explode('|', $game['dump']);
    $dump2 = $dump;
    $end = array_pop($dump2);
  }
  
} else {
  $game = array('step' => -1, 'stavka' => '0', 'over' => '0');
}

if (isset($_GET['id']) && isset($numbers) && $game['over'] == 'game') {
  $id = (int) $_GET['id'];
  
  if (in_array($id, $dump)) {
    $err = 'Вы уже нажимали сюда';
  }
  
  $dump[] = $id;
  
  if ($game['step'] > 0) {
    foreach($dump AS $key => $value) {
      $lk[] = $numbers[$value];
    }
    $idcoins = implode('', $lk);
  } else {
    $idcoins = $numbers[$id];
  }
  
  if (isset($config['step'][$game['step']][$idcoins])) {
    $coins = ($game['stavka'] * $config['step'][$game['step']][$idcoins]);
  } 
  
  if ($game['step'] == 2) {
    $win = 'win';
    $status = 2;
  } else {
    $win = 'game';
    $status = 1;
  }
  
  if (!isset($err) && isset($numbers[$id]) && $game['over'] == 'game') {
    if ($numbers[$id] == 4) {
      $win = 'win';
      $coins = $game['stavka'];
      mysql_query("UPDATE `alco` SET `step` = `step` + '1', `over` = 'win', `status` = '2', `win` = `stavka`, `dump` = '". implode('|', $dump) ."' WHERE `id` = '$game[id]' LIMIT 1");
    }
    
    elseif ($numbers[$id] > 0 && $numbers[$id] < 4) {
      mysql_query("UPDATE `alco` SET `step` = `step` + '1', `over` = '$win', `status` = '$status', `win` = '$coins', `dump` = '". implode('|', $dump) ."' WHERE `id` = '$game[id]' LIMIT 1");
    }
    
    else {
      mysql_query("UPDATE `alco` SET `step` = `step` + '1', `over` = 'loss', `status` = '2', `win` = '0', `dump` = '". implode('|', $dump) ."' WHERE `id` = '$game[id]' LIMIT 1");
    }
    
    if ($win == 'win') {
      mysql_query("UPDATE `user` SET `" . $config['coins_table'] . "` = `" . $config['coins_table'] . "` + '" . $coins . "' WHERE `id` = '$user[id]' LIMIT 1");
    }
  }
  
  header('Location: ?game');
  exit;
}

if (isset($_POST['end'])) {
  if ($game['win'] > 0 && $game['status'] == 1) {
    mysql_query("UPDATE `alco` SET `over` = 'win', `status` = '2' WHERE `id` = '$game[id]' LIMIT 1");
    mysql_query("UPDATE `user` SET `" . $config['coins_table'] . "` = `" . $config['coins_table'] . "` + '" . $game['win'] . "' WHERE `id` = '$user[id]' LIMIT 1");
    header('Location: ?game');
    exit;
  }
}

$session = mt_rand(11111111, 99999999);
$_SESSION['sid'] = $session;
?>
<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru">
<head>    
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Алик</title>

<!--[if lt IE 9]>
  <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->

<link rel="shortcut icon" href="images/favicon.ico" />
<link rel="stylesheet" href="css/main.css" type="text/css" />
<meta name="description" content="Увлекательная игра Алик" />
<meta name="keywords" content="Алик, алкаш, игра, мини-игры, alco, лотереи" />
</head>
<body>
<div class="body">
  <div class="foot">
    <a href="<?= $config['url']?>">Игры</a> / <a href="?">Алик</a>
  </div>
  
  <div class="alco-display">
    <table class="alco">
    <? 
    $key = 0;
    for($y = 0; 5 > $y; $y++) { ?>
      <tr>
      <? for($x = 0; 5 > $x; $x++) { ?>
        <td><a href="?id=<?= $key?>"><img src="images/<?= (($game['over'] != 'game' && $game['over'] != 0) || in_array($key, $dump) || $game['over'] == 'loss' || $game['over'] == 'win' ? (isset($end) && $end == $key && $game['over'] == 'loss' ? 'blank' : $config['images'][$numbers[$key]]) . (($game['over'] == 'loss' || $game['over'] == 'win') && !in_array($key, $dump) && $numbers[$key] != 0 ? '_' : '') : ($game['step'] == -1 ? 'go' : 'but'))?>.gif" /></a></td>
      <?  
      $key++;
      } ?>
      </tr>
    <? }?>
    </table>
    
    <?
    if ($game['over'] != 'loss' && $game['step'] > 0) {
      $img = ($numbers[$end] == 4 ? 0 : ($numbers[$end] == 1 ? 1 : 2));
    } elseif ($game['over'] == 'loss') {
      $img = 3;
    } else {
      $img = 0;
    }
    ?>
    <div class="alik">
      <img src="images/1.gif" id="alik" data-id="<?= $img?>">
    </div>
  
    <form action="?" method="POST" enctype="multipart/form-data">
    <?
    if (isset($err)) {
      $name = $err;
    } elseif ($game['over'] == 'game' && $game['status'] == '1') {
      $name = 'Мне хватит ' . $game['win'];
    } elseif ($game['over'] == 'win' && $game['status'] == '2') {
      $name = 'Вы выиграли ' . $game['win'];
    } elseif ($game['over'] == 'loss') {
      $name = 'Вы проиграли ';
    } elseif ($game['over'] == 'game') {
      $name = 'После первой не закусывают!';
    } else {
      $name = 'Cделайте ставку';
    }
    ?>
      <button type="submit" name="end"><?= $name?></button>
    </form>
    
    <script>
    ani = new Array(Array(1,2,3,2,3,1), Array(1,4,5,6,1), Array(1,7,8,9,10,1), Array('11'), Array('12')),
    ant = new Array(Array(2000,1500,200,200,2000,10000), Array(500,500,500,500,3000), Array(500,500,300,300,300,500), Array('100'), Array('100')),
    ali = document.getElementById('alik'),
    anc = ali.getAttribute('data-id'),
    anf = 0;
    
    function ro() {
      ali.src = 'images/'+ani[anc][anf]+".gif";
      anit = setTimeout("ro()", ant[anc][anf]);
      anf++;
      if (anf > ani[anc].length-1)anf = 0;
      
      if (anc == 3 || anc == 4) {
        clearTimeout(anit)
      }
    }
    ro()
    </script>
  </div>
  
  <div class="stavka">
    <div class="stavka-title">
      Сделайте ставку
    </div>
    
    <table cellpadding="0" cellspacing="1">
      <tr>
        <td class="stavka-money"><?= $config['disp_name']?></td>
        <? foreach($config['stavka'] AS $key => $value) { ?>
          <td class="stavka"><a href="?game&amp;stavka=<?= $key?>&amp;sid=<?= $session?>"><?= $value?></a></td>
        <? } ?>
      </tr>
    </table>
    
    <div class="stavka-coins">
      У вас <?= des2num($user[$config['coins_table']], $config['coins_name'])?>
    </div>
  </div>
  
  <div class="rules">
    <b>[?]</b> <a href="?rules">Правила игры</a><br />
    <? if (isset($_GET['rules'])) { 
    sort($config['step']);
    ?>
    Таблица коэффициентов выигрыша:<br />
    <?
    foreach($config['step'] AS $key => $value) {
      $key++;
      ?>
      <table class="koff">
      <tr>
      <td class="jfg">
      <b><?= $key?> ход:</b>
      </td>
      <?
      foreach(array_unique($value) AS $k => $v) {
        $k = str_replace(array(1, 2, 3, 4), array('С', 'П', 'В', 'Ж'), $k);
        ?>
        <td>
          <div class="jkfg"><?= $k?></div>
          <div>[*<?= $v?>]</div>
        </td>
        <?
      }
      ?>
      </tr>
      </table>
      <?
    }
    ?>
      Правила: Администратору сайта "У" плохо. Помогите!<br />
      На поле из 25 ячеек спрятаны 12 жизненно важных для Алика вещей: 4 бутылки водки, 4 бутылки пива и 4 сигареты. Игрок имеет возможность открыть любую ячейку, щелкнув её левой кнопкой мыши. Если открываемая ячейка содержит алкогольный напиток или сигарету, есть возможность забрать выигрыш! Игрок может сделать от 1 до 3 ходов. Чем больше предметов собрано и чем их комбинация сильнее, тем лучше становится Алику и тем больше коэффициент выигрыша.
      В одной из пустых ячеек прячется жена. Алик не очень рад её видеть, но при её появлении проигрыш не засчитывается, и ставка возвращается в семейный бюджет.
    <? } ?>
  </div> 
  
  <div class="foot">
    <a href="<?= $config['url']?>">Игры</a> / <a href="?">Алик</a>
  </div>
</div>

<div class="copy">
  <?= $config['copy']?>
</div>
</body>
</html>